<?php
/*
###################################################################################
  Bigware Shop 2.3
  Release Datum: 23.08.2015
  
  Bigware Shop
  http://www.bigware.de

  Copyright (c) 2015 Bigware LTD
  (c) 2000-2001 The Exchange Project  (earlier name of osCommerce)
  (c) 2015	Bigware LTD

  Copyrightvermerke duerfen nicht entfernt werden.
  ------------------------------------------------------------------------
  Dieses Programm ist freie Software. Sie koennen es unter den Bedingungen
  der GNU General Public License, wie von der Free Software Foundation
  veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess Version 2 
  der Lizenz oder (nach Ihrer Option) jeder spaeteren Version.
  Die Veroeffentlichung dieses Programms erfolgt in der Hoffnung, dass es Ihnen
  von Nutzen sein wird, aber OHNE IRGENDEINE GARANTIE, sogar ohne die
  implizite Garantie der MARKTREIFE oder der VERWENDBARKEIT FUER EINEN
  BESTIMMTEN ZWECK. Details finden Sie in der GNU General Public License.
  
  Sie sollten eine Kopie der GNU General Public License zusammen mit diesem
  Programm erhalten haben. Falls nicht, schreiben Sie an die Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.

  Infos:
  ------------------------------------------------------------------------
  Der Bigware Shop wurde vor vielen Jahren bereits aus dem bekannten Shopsystem osCommerce
  weiter- und neuentwickelt.
  Der Bigware Shop legt im hohen Masse Wert auf Bedienerfreundlichkeit, beinhaltet eine leichte
  Installation, viele neue professionelle Werkzeuge und zeichnet sich aus durch eine grosse 
  Community, die bei Problemen weiterhelfen kann.
  
  Der Bigware Shop ist auf jedem System lauffaehig, welches eine PHP Umgebung
  (ab PHP 4.1.3) und mySQL zur Verfuegung stellt und auf Linux basiert.
 
  Hilfe erhalten Sie im Forum auf www.bigware.de 
  
  -----------------------------------------------------------------------
  
 ##################################################################################

Captcha f�r Bigware 2.1 by Ede & Tigerstyle


*/
?>
<?php
  require('load_this/load_this_bigware_10.php');
  require(FOLDER_RELATIV_LANGUAGES . $language . '/' . $GLOBALS[CONFIG_NAME_FILE][main_bigware_49]);

 //Captcha by Ede & Tigerstyle
$sql=go_db_query('SELECT * FROM captcha_settings');
$row=go_db_fetch_array($sql); 
$captcha_enable_49 = $row['captcha_enable_49'];
  
  if (isset($_GET['action']) && ($_GET['action'] == 'process')) {
    $email_address = go_db_producing_input($_POST['email_address']);
   
if ($captcha_enable_49 == "ja") {  
 	//captcha test, sets error message and error flag
    if( empty($captcha_code) || empty($_POST['captcha_code']) || go_urlsafe_b64encode(go_CAP_RC4($_POST['captcha_code'])) != $captcha_code ) {
      $error = true;
      $messageStack->add('password_forgotten', CAPTCHA_INVALID_TEXT );
    }
    }
 //END   
      if ($error == false) {

    $check_attendee_query = go_db_query("select attendees_firstname, attendees_lastname, attendees_password, attendees_id,member_level from " . DB_TBL_ATTENDEES . " where attendees_email_address = '" . go_db_input($email_address) . "'");
    if (go_db_num_rows($check_attendee_query)) {
      $check_attendee = go_db_fetch_array($check_attendee_query);
    if ((MEMBER == 'true') && ($check_attendee['member_level'] == '1')){
      $new_password = go_create_random_value(TYPE_IN_PASSWORD_MIN_LENGTH);
      $crypted_password = go_encrypt_password($new_password);
      go_db_query("update " . DB_TBL_ATTENDEES . " set attendees_password = '" . go_db_input($crypted_password) . "' where attendees_id = '" . (int)$check_attendee['attendees_id'] . "'");
      go_mail($check_attendee['attendees_firstname'] . ' ' . $check_attendee['attendees_lastname'], $email_address, EMAIL_PASSWORD_REMINDER_SUBJECT, sprintf(EMAIL_PASSWORD_REMINDER_BODY, $new_password), SHOP_OWNER, SHOP_OWNER_EMAIL_ADDRESS);
      $messageStack->add_session('login', SUCCESS_PASSWORD_SENT, 'success');
      go_forward(go_href_link($GLOBALS[CONFIG_NAME_FILE][main_bigware_40], '', 'SSL'));
            
            } elseif (MEMBER == 'false') {
                $new_password = go_create_random_value(TYPE_IN_PASSWORD_MIN_LENGTH);
        $crypted_password = go_encrypt_password($new_password);
  
        go_db_query("update " . DB_TBL_ATTENDEES . " set attendees_password = '" . go_db_input($crypted_password) . "' where attendees_id = '" . (int)$check_attendee['attendees_id'] . "'");
  
        go_mail($check_attendee['attendees_firstname'] . ' ' . $check_attendee['attendees_lastname'], $email_address, EMAIL_PASSWORD_REMINDER_SUBJECT, sprintf(EMAIL_PASSWORD_REMINDER_BODY, $new_password), SHOP_OWNER, SHOP_OWNER_EMAIL_ADDRESS);
  
 //Captcha by Ede & Tigerstyle
if ($captcha_enable_49 == "ja") {
// captcha unregister here not needed anymore
      if ( go_session_is_registered('captcha_code') ) {
        go_session_unregister('captcha_code');
      }
      }
//END 
  
        $messageStack->add_session('login', SUCCESS_PASSWORD_SENT, 'success');
  
        go_forward(go_href_link($GLOBALS[CONFIG_NAME_FILE][main_bigware_40], '', 'SSL'));
            $messageStack->add('password_forgotten', TEXT_NO_ALLOWED_USER);
            }
    } else {
      $messageStack->add('password_forgotten', TEXT_NO_EMAIL_ADDRESS_FOUND);
    }
    }
  
   }
   //Captcha by Ede & Tigerstyle
if ($captcha_enable_49 == "ja") {
 // Tigerstyle captcha generate a new captcha image and code, encoded and encrypt, register the code with session for testing $_POST
  $captcha_code = go_captcha_image();
    go_session_register('captcha_code');
  }
  //END
  
  $breadcrumb->add(NAVBAR_TITLE_1, go_href_link($GLOBALS[CONFIG_NAME_FILE][main_bigware_40], '', 'SSL'));
  $breadcrumb->add(NAVBAR_TITLE_2, go_href_link($GLOBALS[CONFIG_NAME_FILE][main_bigware_49], '', 'SSL'));
  $content = $GLOBALS[CONFIG_SHOW_FILE][main_bigware_49];
  require(FOLDER_RELATIV_TEMPLATES . TEMPLATENAME_MAIN_PAGE);
  require(FOLDER_RELATIV_INCLUDES . 'load_this_bigware_3.php');
?>
